Update_by_query

I am new to Elasticsearch. I have a huge index with around 50k documents. I have to update all the document, when I run the update_by_query function it is throwing an error
Traceback (most recent call last):
File "E:\ApplicationsRunning\Lib\site-packages\urllib3\connectionpool.py", line 449, in _make_request
six.raise_from(e, None)
File "", line 3, in raise_from
File "E:\ApplicationsRunning\Lib\site-packages\urllib3\connectionpool.py", line 444, in _make_request
httplib_response = conn.getresponse()
^^^^^^^^^^^^^^^^^^
File "E:\ApplicationsRunning\Lib\http\client.py", line 1374, in getresponse
response.begin()
File "E:\ApplicationsRunning\Lib\http\client.py", line 318, in begin
version, status, reason = self._read_status()
^^^^^^^^^^^^^^^^^^^
File "E:\ApplicationsRunning\Lib\http\client.py", line 279, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "E:\ApplicationsRunning\Lib\socket.py", line 705, in readinto
return self._sock.recv_into(b)
^^^^^^^^^^^^^^^^^^^^^^^
File "E:\ApplicationsRunning\Lib\ssl.py", line 1278, in recv_into
return self.read(nbytes, buffer)
^^^^^^^^^^^^^^^^^^^^^^^^^
File "E:\ApplicationsRunning\Lib\ssl.py", line 1134, in read
return self._sslobj.read(len, buffer)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
TimeoutError: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "E:\ApplicationsRunning\Lib\site-packages\opensearchpy\connection\http_urllib3.py", line 240, in perform_request
response = self.pool.urlopen(
^^^^^^^^^^^^^^^^^^
File "E:\ApplicationsRunning\Lib\site-packages\urllib3\connectionpool.py", line 787, in urlopen
retries = retries.increment(
^^^^^^^^^^^^^^^^^^
File "E:\ApplicationsRunning\Lib\site-packages\urllib3\util\retry.py", line 525, in increment
raise six.reraise(type(error), error, _stacktrace)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "E:\ApplicationsRunning\Lib\site-packages\urllib3\packages\six.py", line 770, in reraise
raise value
File "E:\ApplicationsRunning\Lib\site-packages\urllib3\connectionpool.py", line 703, in urlopen
httplib_response = self._make_request(
^^^^^^^^^^^^^^^^^^^
File "E:\ApplicationsRunning\Lib\site-packages\urllib3\connectionpool.py", line 451, in _make_request
self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
File "E:\ApplicationsRunning\Lib\site-packages\urllib3\connectionpool.py", line 340, in _raise_timeout
raise ReadTimeoutError(
urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='localhost', port=9200): Read timed out. (read timeout=10)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "d:\RoxilerSystem\Assertion\DemoEnv\script.py", line 23, in
response = client.update_by_query(
^^^^^^^^^^^^^^^^^^^^^^^
File "E:\ApplicationsRunning\Lib\site-packages\opensearchpy\client\utils.py", line 178, in wrapped
return func(*args, params=params, headers=headers, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "E:\ApplicationsRunning\Lib\site-packages\opensearchpy\client_init
.py", line 1897, in update_by_query
return self.transport.perform_request(
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "E:\ApplicationsRunning\Lib\site-packages\opensearchpy\transport.py", line 408, in perform_request
raise e
File "E:\ApplicationsRunning\Lib\site-packages\opensearchpy\transport.py", line 369, in perform_request
status, headers_response, data = connection.perform_request(
^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "E:\ApplicationsRunning\Lib\site-packages\opensearchpy\connection\http_urllib3.py", line 254, in perform_request
raise ConnectionTimeout("TIMEOUT", str(e), e)
opensearchpy.exceptions.ConnectionTimeout: ConnectionTimeout caused by - ReadTimeoutError(HTTPSConnectionPool(host='localhost', port=9200): Read timed out. (read timeout=10)

can someone please help.